function SimpleCue(subNo)
%Simple cuing experiment with 2 locations and 2 events and one response.  
%A) One of the two locations will flash briefly
%B) After a specified SOA, a target will appear in one of the locations
%C) participants make a response 

%%%%%%%%%%%%%%%%%%%%%%%%%
% preliminary stuff
%%%%%%%%%%%%%%%%%%%%%%%%%
display.isFullScreen = 0;

%setup our full screen window and other initialization
display.w = InitializeWindow( display );

%%%%%%%%%%%%%%%%%%%%%%
% experiment
%%%%%%%%%%%%%%%%%%%%%%

% Embed core of code in try ... catch statement. If anything goes wrong
% inside the 'try' block (Matlab error), the 'catch' block is executed to
% clean up, save results, close the onscreen window etc.
try
    

    %%%%%%%%%%%%%%%%%%%%%%%%%%%
    %Set experiment variables
    %%%%%%%%%%%%%%%%%%%%%%%%%%%
    %this is the primary function to change all experiment parameters
    % now I understabnd 
    [  output, display , trials] = SetUpTrials( subNo, display.w);
    

    %%%%%%%%%%%%%%%%%%%%%%%%%%%
    % Initialize all eyelink and calibrate
    %%%%%%%%%%%%%%%%%%%%%%%%%%%
%     if iLink.doILink == 1
%         iLink = InitEyeLink(iLink, w);
%     end
    
    %print header for output file
    fprintf(output.resultsFile,'Trial\n');
    
    % Write instruction message for subject
    %now the experiment part of the block
    message = ' EXPERIMENT Trials \n Click the mouse to begin.';
    DrawFormattedText(display.w, message, 'center', 'center', WhiteIndex(display.w));

    % Update the display to show the instruction text:
    Screen('Flip', display.w);
        % Wait for mouse click:
    GetClicks(display.w);

    %%%%%%%%%%%%%%%%%%%%%%%%%%%
    %run experiment, one trial at a time
    %%%%%%%%%%%%%%%%%%%%%%%%%%%     
    for (tr = 1:length(trials))  % change back to one to do practice blocks!!
        %block order holds the order to run for this subject
        RunSingleTrial(output, trials(tr), display, tr);
        
    end;

    % Cleanup at end of experiment - Close window, show mouse cursor, close
    % result file, switch Matlab/Octave back to priority 0 -- normal
    % priority:
    CleanUpExpt( );
% End of experiment:
%The rest of this code is just for debugging in case something crashes

    return;
    
catch errorInfo
    % Output the error message that describes the error:
        GetClicks(display.w);
        DrawFormattedText(display.w, errorInfo.message, 'center', 'center', WhiteIndex(display.w));
        Screen('Flip', w);c 
                
        GetClicks(display.w);

        psychrethrow(psychlasterror);
        % catch error: This is executed in case something goes wrong in the
        % 'try' part due to programming error etc.:

        CleanUpExpt(  );   
        % Do same cleanup as at the end of a regular session...
end % try ... catch %

